> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decentri.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Mint a token

> Increase the supply of a token by minting new units to a specified address.



## OpenAPI

````yaml POST /token/{address}/mint
openapi: 3.0.0
info:
  title: Decentri API
  description: The infrastructure for tokenizing real world assets
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /token/{address}/mint:
    post:
      tags:
        - Token
      summary: Mint token
      description: >-
        Increase the supply of a token by minting new units to a specified
        address.
      operationId: mint
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ActionParams'
      responses:
        '200':
          description: The token has been successfully minted to the specified address
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionHashResponse'
        '403':
          description: Forbidden.
        '404':
          description: Not Found.
        '500':
          description: Internal Server Error.
components:
  schemas:
    ActionParams:
      type: object
      properties:
        address:
          type: string
          description: The wallet address of which the action is intended for
          example: '0x0d1d4e623d10f9fba5db95830f7d3839406c6af2'
        value:
          type: number
          description: The value of the action
          example: 100
      required:
        - address
        - value
    TransactionHashResponse:
      type: object
      properties:
        txHash:
          type: string
          description: The transaction hash of the action
          example: '0x0d1d4e623d10f9fba5db95830f7d3839406c6af2'
      required:
        - txHash

````